BaCon compiler 20110214

I have compiled the latest beta release of BaCon.

Download (750KB):
http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-quirky/bacon-20110214-1.0.20plus.pet

This PET is usable by all Woof-built puppies. You do not need Bash v4.

I have modified '3builddistro' in Woof to make the default not to download the latest BaCon from the Internet, plus some tweaks of the information presented.

I recommend that we standardise on having BaCon available in the 'devx' of all Woof-built puppies (and even older puppies). The appropriate entry in variable PKGS_SPECS_TABLE in file DISTRO_PKGS_SPECS-*:

yes|bacon||exe>dev,dev,doc>dev,nls

BaCon home:
http://www.basic-converter.org/

See latest changes:
http://www.basic-converter.org/beta/CHANGES

Note, the author has created 'bacongui', a BaCon IDE, and I compiled it and tried it for only a few seconds -- observed syntax highlighting did not work -- but there is probably a simple fix for that -- it uses gtksourceview and recent puppies already have BaCon highlighting support in gtksourceview.

My BaCon pages:
http://bkhome.org/bacon/


Posted on 15 Feb 2011, 9:39


No comments posted yet.